import { fetcher } from '~/assets/scripts/fetcher.js'

export const sendEmail = async (email) => {
  const result = await fetcher(`api/common/sendEmail/${email}`, 'GET')
  return result
}

export const register = async (data) => {
  const result = await fetcher('api/member/register', 'POST', data)
  return result
}

export const login = async (data) => {
  const result = await fetcher('api/member/login', 'POST', data)
  return result
}

export const getInfo = async () => {
  const result = await fetcher('api/member/getInfo', 'GET')
  return result
}

export const updateInfo = async (data) => {
  const result = await fetcher('api/member/updateInfo', 'POST', data)
  return result
}

export const updateAvatar = async (data) => {
  const result = await fetcher('api/member/updateAvatar', 'POST', data)
  return result
}

export const updatePasswd = async (data) => {
  const result = await fetcher('api/member/updatePasswd', 'POST', data)
  return result
}

export const resetPasswd = async (data) => {
  const result = await fetcher('api/member/resetPasswd', 'POST', data)
  return result
}

export const resetFpasswd = async (data) => {
  const result = await fetcher('api/member/resetFpasswd', 'POST', data)
  return result
}

export const updateFpasswd = async (data) => {
  const result = await fetcher('api/member/updateFpasswd', 'POST', data)
  return result
}